************************************************ ``POST`` Add a Track Applicant ************************************************ This API allows you to add a new applicant to a specified track. Request URL ============= .. code-block:: POST /tracks/application Body Parameters ================ .. code-block:: json { "job_name": "string", "fields": { "key": "value", "key": "value" } } .. warning:: You must include your API key in the request headers. Parameters ============ +-------------------+------------------+---------------------------------------------------------------------------------------------+ | Parameter | Type | Description | +===================+==================+=============================================================================================+ | job_name | *string* | Name of the job posting associated with the track. | +-------------------+------------------+---------------------------------------------------------------------------------------------+ | fields | *object* | A flexible set of key-value pairs containing applicant data. Keys and values are defined | | | | dynamically based on the track configuration. | | | | | | | | Example keys: `name`, `email`, `phone`, `resume`, `linkedin`, `portfolio`, etc. | +-------------------+------------------+---------------------------------------------------------------------------------------------+ Response ========== **200 OK** - Application created successfully. Example: .. code-block:: json { "success": true, "application_id": 67865, "track_id": 6578 } Error Responses ================ .. code-block:: json { "success": false, "error": "string" } +----------------------+-----------------------------+--------------------------------------------------------------+ | Status Code | Error | Description | +======================+=============================+==============================================================+ | 400 Bad Request | Invalid request body | Missing or invalid fields in the request. | +----------------------+-----------------------------+--------------------------------------------------------------+ | 404 Not Found | Track not found | The specified track/job does not exist. | +----------------------+-----------------------------+--------------------------------------------------------------+ | 409 Conflict | Applicant already exists | An applicant with this email already exists in the track. | +----------------------+-----------------------------+--------------------------------------------------------------+ .. note:: ``fields`` is a flexible object that supports variable attributes depending on the requirements of a track. ``application_id`` uniquely identifies an applicant's submission to a track.